package service

import (
	"reflect"

	cda "git.loafle.net/commons_go/di/annotation"
	cdr "git.loafle.net/commons_go/di/registry"
)

func init() {
	cdr.RegisterType(reflect.TypeOf((*ContainerService)(nil)))
}

type ContainerService struct {
	cda.TypeAnnotation `annotation:"@overFlow:Service()"`
}

func (cs *ContainerService) State() (bool, error) {

	return true, nil
}
